Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class RelaxNGSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax
          ix.util.xml.RelaxNGSyntax

    public class RelaxNGSyntax

extends XMLSyntax

Describes the (XML) syntax of I-X data objects as a Relax NG schema.

Nested Class Summary
`(package private) class` | `RelaxNGSyntax.Schema` An Relax NG schema.

Field Summary
`static org.jdom.Namespace` | `relaxNGNamespace`
`(package private) RelaxNGSyntax.Schema` | `theSchema`

Fields inherited from class ix.util.xml.XMLSyntax
`attributeFieldP, classSyntax, inheritance, xmlt`

Constructor Summary
`RelaxNGSyntax()`
`RelaxNGSyntax(XMLTranslator xmlt)`

Method Summary
`(package private) void` | `addClassSyntax(RelaxNGSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addEnumerationSyntax(RelaxNGSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addLiteralDocumentSyntax(RelaxNGSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addPrimitiveSyntax(RelaxNGSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addStructSyntax(RelaxNGSyntax.Schema schema, java.lang.Class c)`
`(package private) org.jdom.Element` | `anyXMLPattern()`
`(package private) org.jdom.Element` | `anyXMLPatternDefinition()`
`(package private) org.jdom.Element` | `attributeFieldPattern(FieldDescr fd)`
`(package private) java.util.List` | `classRefs(java.util.List classes)`
`(package private) org.jdom.Element` | `dataValueDefinition(java.lang.Class c)`
`(package private) org.jdom.Element` | `elementFieldPattern(FieldDescr fd)`
`(package private) org.jdom.Element` | `elementRefDefinition(java.lang.Class c, java.lang.String refName)`
`(package private) org.jdom.Element` | `enumValueDefinition(java.lang.Class c)`
`(package private) java.util.List` | `enumValueElements(java.lang.Class c)`
`(package private) org.jdom.Element` | `fieldValuePattern(FieldDescr fd)`
`(package private) org.jdom.Element` | `inheritancePatternDefinition(java.lang.Class c)`
`(package private) org.jdom.Element` | `listofPattern(java.lang.Class eltClass)`
`(package private) org.jdom.Element` | `listPatternDefinition()`
`(package private) org.jdom.Element` | `literalDocumentPatternDefinition()`
`static void` | `main(java.lang.String[] argv)` Outputs a schema for I-X plans or for the class specified by the "root" parameter.
`(package private) org.jdom.Element` | `makeAttributeElement(java.lang.String name)`
`(package private) org.jdom.Element` | `makeDef(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeDef(java.lang.String name)`
`(package private) org.jdom.Element` | `makeElement(java.lang.String name, org.jdom.Namespace namespace, java.lang.String[][] attributes)`
`(package private) org.jdom.Element` | `makeElementElement(java.lang.String name)`
`(package private) org.jdom.Element` | `makeRef(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeRef(java.lang.String toName)`
`(package private) org.jdom.Element` | `makeRngElement(java.lang.String name)`
`(package private) org.jdom.Element` | `makeRngElement(java.lang.String name, java.lang.String[][] attributes)`
`RelaxNGSyntax.Schema` | `makeSchema(java.lang.Class rootClass)`
`(package private) RelaxNGSyntax.Schema` | `makeSchema(java.lang.Class rootClass, java.util.List relevantClasses)`
`(package private) org.jdom.Element` | `mapEntryPattern()`
`(package private) org.jdom.Element` | `mapPatternDefinition()`
`(package private) org.jdom.Element` | `objectPatternDefinition(java.util.List relevantClasses)`
`(package private) org.jdom.Element` | `optionalPattern(org.jdom.Element pattern)`
`(package private) java.lang.String` | `patternName(java.lang.Class c)`
`(package private) java.util.List` | `structContent(java.lang.Class c)`
`(package private) org.jdom.Element` | `structPatternDefinition(java.lang.Class c)`
`(package private) org.jdom.Element` | `textValueDefinition(java.lang.Class c)`
`(package private) java.lang.String` | `valueName(java.lang.Class c)`

Methods inherited from class ix.util.xml.XMLSyntax
`attributeFields, collectListofClasses, describeClass, elementFields, getClassDescr, getConstraintSyntaxList, getElementName, getElementName, getElementName, getEnumerationValues, getNTName, getNTName, getUpperName, getUpperName, relevantClasses, structTextDescription, walkStructFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theSchema

    RelaxNGSyntax.Schema theSchema

### relaxNGNamespace

    public static final org.jdom.Namespace relaxNGNamespace

Constructor Detail

### RelaxNGSyntax

    public RelaxNGSyntax()

### RelaxNGSyntax

    public RelaxNGSyntax(XMLTranslator xmlt)

Method Detail

### makeSchema

    public RelaxNGSyntax.Schema makeSchema(java.lang.Class rootClass)

### makeSchema

    RelaxNGSyntax.Schema makeSchema(java.lang.Class rootClass,
                                    java.util.List relevantClasses)

### objectPatternDefinition

    org.jdom.Element objectPatternDefinition(java.util.List relevantClasses)

### listPatternDefinition

    org.jdom.Element listPatternDefinition()

### mapPatternDefinition

    org.jdom.Element mapPatternDefinition()

### mapEntryPattern

    org.jdom.Element mapEntryPattern()

### addClassSyntax

    void addClassSyntax(RelaxNGSyntax.Schema schema,
                        java.lang.Class c)

### valueName

    java.lang.String valueName(java.lang.Class c)

### patternName

    java.lang.String patternName(java.lang.Class c)

### addStructSyntax

    void addStructSyntax(RelaxNGSyntax.Schema schema,
                         java.lang.Class c)

### inheritancePatternDefinition

    org.jdom.Element inheritancePatternDefinition(java.lang.Class c)

### classRefs

    java.util.List classRefs(java.util.List classes)

### structPatternDefinition

    org.jdom.Element structPatternDefinition(java.lang.Class c)

### structContent

    java.util.List structContent(java.lang.Class c)

### optionalPattern

    org.jdom.Element optionalPattern(org.jdom.Element pattern)

### attributeFieldPattern

    org.jdom.Element attributeFieldPattern(FieldDescr fd)

### elementFieldPattern

    org.jdom.Element elementFieldPattern(FieldDescr fd)

### fieldValuePattern

    org.jdom.Element fieldValuePattern(FieldDescr fd)

### listofPattern

    org.jdom.Element listofPattern(java.lang.Class eltClass)

### addEnumerationSyntax

    void addEnumerationSyntax(RelaxNGSyntax.Schema schema,
                              java.lang.Class c)

### elementRefDefinition

    org.jdom.Element elementRefDefinition(java.lang.Class c,
                                          java.lang.String refName)

### enumValueDefinition

    org.jdom.Element enumValueDefinition(java.lang.Class c)

### enumValueElements

    java.util.List enumValueElements(java.lang.Class c)

### addPrimitiveSyntax

    void addPrimitiveSyntax(RelaxNGSyntax.Schema schema,
                            java.lang.Class c)

### textValueDefinition

    org.jdom.Element textValueDefinition(java.lang.Class c)

### dataValueDefinition

    org.jdom.Element dataValueDefinition(java.lang.Class c)

### addLiteralDocumentSyntax

    void addLiteralDocumentSyntax(RelaxNGSyntax.Schema schema,
                                  java.lang.Class c)

### literalDocumentPatternDefinition

    org.jdom.Element literalDocumentPatternDefinition()

### anyXMLPatternDefinition

    org.jdom.Element anyXMLPatternDefinition()

### anyXMLPattern

    org.jdom.Element anyXMLPattern()

### makeElement

    org.jdom.Element makeElement(java.lang.String name,
                                 org.jdom.Namespace namespace,
                                 java.lang.String[][] attributes)

### makeRngElement

    org.jdom.Element makeRngElement(java.lang.String name,
                                    java.lang.String[][] attributes)

### makeRngElement

    org.jdom.Element makeRngElement(java.lang.String name)

### makeRef

    org.jdom.Element makeRef(java.lang.String toName)

### makeRef

    org.jdom.Element makeRef(java.lang.Class c)

### makeDef

    org.jdom.Element makeDef(java.lang.String name)

### makeDef

    org.jdom.Element makeDef(java.lang.Class c)

### makeElementElement

    org.jdom.Element makeElementElement(java.lang.String name)

### makeAttributeElement

    org.jdom.Element makeAttributeElement(java.lang.String name)

### main

    public static void main(java.lang.String[] argv)

  Outputs a schema for I-X plans or for the class specified by the "root" parameter.

  See Also:
    `Parameters.getParameter(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD